Name:           libebur128
Version:        1.0.2
Release:        1%{?dist}
Summary:        A library implementing the EBU R128 loudness standard
License:        MIT
URL:            https://github.com/jiixyj/libebur128
Source0:        https://github.com/jiixyj/libebur128/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# GNUInstallDirs is not available in elder CMake versions.
Patch0:         0001-Add-CMake-option-to-disable-static-library.patch
BuildRequires:  cmake >= 2.8.9
BuildRequires:  libsndfile-devel
BuildRequires:  speexdsp-devel

%description
libebur128 is a library that implements the EBU R 128 standard for loudness
normalisation.

** Features

* Portable ANSI C code
* Implements M, S and I modes
* Implements loudness range measurement (EBU - TECH 3342)
* True peak scanning
* Supports all samplerates by recalculation of the filter coefficients

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       speexdsp-devel%{?_isa}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1

# Drop external queue.h from sources to eliminate bundle issue.
rm -frv ebur128/queue

%build
mkdir build && cd $_
# Data needed by tests are unavailable, before figuring out those audio file
# licenses, I've disabled the tests.
%cmake -DENABLE_TESTS=OFF             \
       -DENABLE_INTERNAL_QUEUE_H=OFF  \
       -DENABLE_STATIC_LIBS=OFF       ..

%make_build

%install
%make_install -C build

%check
#cd build && ctest -V

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%{_libdir}/libebur128.so.*

%files devel
%doc README*
%{_includedir}/ebur128.h
%{_libdir}/libebur128.so

%changelog
* Fri Jan 02 2015 Christopher Meng <rpm@cicku.me> - 1.0.2-1
- Update to 1.0.2

* Wed Feb 26 2014 Christopher Meng <rpm@cicku.me> - 1.0.1-1
- Initial Package.
